<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>org.wildfly</groupId>
        <artifactId>wildfly-ts-integ</artifactId>
        <version>10.0.0.Final</version>
    </parent>

    <!-- ********************************************************************************** -->
    <!-- ************************* Multi-node Integration Tests *************************** -->
    <!-- ********************************************************************************** -->
    <artifactId>wildfly-ts-integ-multinode</artifactId>

    <name>WildFly Test Suite: Integration - Multinode Tests</name>

    <properties>
        <jbossas.ts.integ.dir>${basedir}/..</jbossas.ts.integ.dir>
        <jbossas.ts.dir>${jbossas.ts.integ.dir}/..</jbossas.ts.dir>
        <jbossas.project.dir>${jbossas.ts.dir}/..</jbossas.project.dir>
    </properties>

    <profiles>

        <!-- ********************************************************************************** -->
        <!-- ****     Multi-node tests                                                ********* -->
        <!-- ********************************************************************************** -->
        <profile>
            <id>multinode.integration.tests.profile</id>
            <activation>
                <property>
                    <name>!noMultinode</name>
                </property>
            </activation>

            <properties>
            </properties>

            <!--
                Server configuration executions.
                Naming convention for executions (which we read in the log): for server config X, call it X.server
            -->
            <build>
                <plugins>

                    <!-- Build the target/jbossts server configuration. -->
                    <plugin>
                        <groupId>org.apache.maven.plugins</groupId>
                        <artifactId>maven-antrun-plugin</artifactId>
                        <executions>
                            <execution>
                                <phase>process-test-resources</phase>
                                <goals>
                                    <goal>run</goal>
                                </goals>
                            </execution>
                        </executions>
                        <configuration>
                            <target>
                                <!-- Build the UDP server configs in target. -->
                                <ant antfile="${jbossas.ts.integ.dir}/src/test/scripts/multinode-build.xml">
                                    <property name="node1" value="${node1}"/>
                                    <property name="node0" value="${node0}"/>
                                    <target name="build-multinode"/>
                                </ant>
                            </target>
                        </configuration>
                    </plugin>

                    <!-- Surefire. -->
                    <plugin>
                        <groupId>org.apache.maven.plugins</groupId>
                        <artifactId>maven-surefire-plugin</artifactId>
                        <configuration>
                            <includes>
                                <include>org/jboss/as/test/multinode/**/*TestCase.java</include>
                            </includes>

                            <!-- Parameters to test cases. -->
                            <systemPropertyVariables combine.children="append">
                                <arquillian.launch>multinode</arquillian.launch>
                                <jboss.server.config.file.name>standalone.xml</jboss.server.config.file.name>
                                <!-- EJB client library hack, see WFLY-4973-->
                                <org.jboss.ejb.client.wildfly-testsuite-hack>true</org.jboss.ejb.client.wildfly-testsuite-hack>
                            </systemPropertyVariables>
                        </configuration>
                    </plugin>

                </plugins>
            </build>
        </profile>

    </profiles>
</project>
